# $Revision: 1.24 $, $Date: 2008/07/27 22:51:21 $
#
# Conditional build:
%bcond_with	demo	# perform "make test" (it IS just demo!)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Curses
%define		pnam	Widgets
Summary:	Curses::Widgets - base widget class for use with the Curses::Application framework
Summary(pl.UTF-8):	Curses::Widgets - podstawowa klasa kontrolek do wykorzystania w szkielecie Curses::Application
Name:		perl-Curses-Widgets
Version:	1.997
Release:	5
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	142b14bb761f579f98b4266405f06f8a
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Curses
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
High level access to basic Curses widgets and related functions.

%description -l pl.UTF-8
Moduł ten udostępnia kontrolki bazujące na bibliotece Curses.

%prep
%setup -q -n %{pdir}%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_demo:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# get rid of pod docuemntation
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Curses/Widgets/{Tutorial.pod,Tutorial/Creation.pod}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG CREDITS README
%{perl_vendorlib}/Curses/Widgets.pm
%{perl_vendorlib}/Curses/Widgets
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Curses-Widgets.spec,v $
Revision 1.24  2008/07/27 22:51:21  arekm
- release 5

Revision 1.23  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.21  2004/11/03 22:30:14  paladine
- formatting

Revision 1.20  2004/11/02 10:59:22  adamg
- get rid of pod documentation
- release 4

Revision 1.19  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.18  2004/05/07 01:09:19  ankry
- rel. 3

Revision 1.17  2004/05/06 18:01:28  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.15  2004/04/18 23:21:48  ankry
- license/summary fixes and cosmetics

Revision 1.14  2004/03/13 23:09:14  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.13  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.12  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 18:46:57  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:38:29  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:30:18  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/11/20 11:54:55  mis
- autoupdated to 1.997

Revision 1.3  2002/09/16 07:25:18  grabba
- cosmetics

Revision 1.2  2002/09/14 22:28:15  ankry
- disable tests by default: this is a demo, not tests
- fixed License field, added translations
- release 2

Revision 1.1  2002/09/13 11:16:57  grabba
- initial version by Jarosław Lejk
- release 1
